# FTXUI: StringRef Class Reference

Loading...
Searching...
No Matches
StringRef Class Reference

An adapter. Own or reference a constant string. For convenience, this class convert multiple mutable string toward a shared representation. More...

`#include <ref.hpp>`

Inheritance diagram for StringRef:
[legend]

## Public Member Functions

| StringRef (const wchar_t *ref)
| StringRef (const char *ref)
std::string & | operator() ()
const std::string & | operator() () const
std::string & | operator* ()
const std::string & | operator* () const
std::string * | operator-> ()
const std::string * | operator-> () const

## Detailed Description

An adapter. Own or reference a constant string. For convenience, this class convert multiple mutable string toward a shared representation.

Definition at line 82 of file ref.hpp.

## Constructor & Destructor Documentation

## StringRef() [1/2]

StringRef | ( | const wchar_t * | ref | ) |

inline

Definition at line 86 of file ref.hpp.

## StringRef() [2/2]

StringRef | ( | const char * | ref | ) |

inline

Definition at line 88 of file ref.hpp.

## Member Function Documentation

## operator()() [1/2]

std::string & operator() | ( |  | ) |

inlineinherited

Definition at line 60 of file ref.hpp.

## operator()() [2/2]

const std::string & operator() | ( |  | ) | const

inlineinherited

Definition at line 63 of file ref.hpp.

## operator*() [1/2]

std::string & operator* | ( |  | ) |

inlineinherited

Definition at line 61 of file ref.hpp.

## operator*() [2/2]

const std::string & operator* | ( |  | ) | const

inlineinherited

Definition at line 64 of file ref.hpp.

## operator->() [1/2]

std::string * operator-> | ( |  | ) |

inlineinherited

Definition at line 62 of file ref.hpp.

## operator->() [2/2]

const std::string * operator-> | ( |  | ) | const

inlineinherited

Definition at line 65 of file ref.hpp.

The documentation for this class was generated from the following file:

- ref.hpp